For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
          • POSTEstimate Taxes
          • POSTVoid Tax Quote
          • POSTCommit Tax Quote
          • POSTAdjust Tax Quote
      • Webhooks
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsTax Provider

Void Tax Quote

POST
https://your_app.example.com/void
POST
/void
$curl -X POST "https://your_app.example.com/void?id=id" \
> -H "X-Bc-Store-Hash: 1a2b3c4d5e" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
>}'
1{}
Invalidate the persisted tax quote as identified by the given unique ID. Relevant to order cancellations, full refunds, or moving an order from a paid status to an unpaid status. > Server URL > - For supporting tax providers, the server URL contains the tax providerʼs profile field; for example, `your_profile.example.com`. > - The Try it feature is not currently supported for this endpoint.
Was this page helpful?
Previous

Estimate Taxes

Next

Commit Tax Quote

Built with

Invalidate the persisted tax quote as identified by the given unique ID. Relevant to order cancellations, full refunds, or moving an order from a paid status to an unpaid status.

Server URL

  • For supporting tax providers, the server URL contains the tax providerʼs profile field; for example, your_profile.example.com.
  • The Try it feature is not currently supported for this endpoint.

Authentication

AuthorizationBasic

The HTTP Basic Authentication (developer.mozilla.org) credentials used to authenticate each API request to the tax provider from the associated store; set and update username, password, and optionally profile, using the Update a Connection request. profile is an optional field and will be used with supporting providers only.

For more, see developer-configured authentication for Provider APIs.

Headers

X-Bc-Store-HashstringRequired

BigCommerce will send through the store hash as part of all tax provider operations. Each BigCommerce store on the platform has a unique store hash value for the store’s lifetime. This value can assist in account verification or profile matching responsibilities.

Query parameters

idstringRequired
Unique ID identifying the existing, persisted tax quote that will be voided.

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error